Commit Graph

40 Commits (56f90132b8d7d6a40cc1665b34ff35c62becb2f0)

Author SHA1 Message Date
Vadim Yanitskiy bfd45d514d configure.ac: drop useless SQLite3 dependency 4 years ago
Vadim Yanitskiy a45e7458e3 configure.ac: drop rudimentary check for -fvisibility=hidden 4 years ago
Harald Welte 845285077d configure.ac: Check for libsctp 4 years ago
Harald Welte 811f6806a4 Bump version: 1.2.0.199-45df98-dirty → 1.3.0 4 years ago
Oliver Smith 39093768ca build manuals moved here from osmo-gsm-manuals.git 4 years ago
Pau Espin f282f33360 Install systemd services with autotools 4 years ago
Harald Welte 1ea6baf1ec Remove local libgsupclient; Use libosmo-gsup-client from osmo-hlr 5 years ago
Vadim Yanitskiy 1c6ab612b2 configure.ac: drop unused dependencies 5 years ago
Stefan Sperling 2d95ab67d1 remove redundant unconditional PKG_CHECK_MODULES for libsmpp 5 years ago
Pau Espin cb8c75bba0 Bump version: 1.1.2.269-86f21-dirty → 1.2.0 5 years ago
Neels Hofmeyr a6ac98b6aa remove empty libcommon-cs 5 years ago
Neels Hofmeyr 8ea65b3270 rename libcommon to libgsupclient 5 years ago
Neels Hofmeyr 620ba9369d configure: add --enable-werror 5 years ago
Maxim Suraev 753c15de2f Migrate from OpenSSL to osmo_get_rand_id() 5 years ago
Alexander Huemer a55dda703f Remove utils imported from openbsc, fix building remaining util smpp_mirror 5 years ago
Maxim Suraev 60383a1f7f Remove unneeded .py scripts 5 years ago
Maxim Suraev 5f1de85fab Remove obsolete ./configure option 5 years ago
Neels Hofmeyr 7cec38852a add --enable-sanitize config option 5 years ago
Harald Welte 6a9d9baef5 Depend on both libosmo-sigtran-dev and libosmo-sccp-dev 5 years ago
Harald Welte c44cf84853 configure.ac: Depend on latest tagged/released libosmo-* versions 5 years ago
Maxim Suraev 61cacb0aaa Remove pkg-config file 5 years ago
Harald Welte 5c76e0aa1a remove further files and autotest/autoconf bits irrelevant to osmo-msc 5 years ago
Neels Hofmeyr 6c8afe148b use separated libosmo-mgcp-client, apply rename to mgcp_client_* 5 years ago
Neels Hofmeyr 9084396467 rename include/openbsc to include/osmocom/msc 5 years ago
Neels Hofmeyr bab29056a3 rename openbsc.pc to osmo-msc.pc 5 years ago
Neels Hofmeyr 458aa74c1e configure.ac: fix to "AC_INIT[osmo-msc]" 5 years ago
Neels Hofmeyr 542e65b563 build: check for -lgsm 6 years ago
Neels Hofmeyr bac227653a split off osmo-msc: remove files, apply build, rename 6 years ago
Neels Hofmeyr 979cd26f35 move to osmo-mgw.git: osmo-bsc_mgcp and libmgcp as libosmo-legacy-mgcp 6 years ago
Neels Hofmeyr 00e82d61ab move libiu to osmo-iuh/libosmo-ranap 6 years ago
Philipp Maier fbf6610dc1 Implement AoIP, port to M3UA SIGTRAN (large addition and refactoring) 6 years ago
Maxim Suraev 09e2c9f07d Use release helper from libosmocore 6 years ago
Harald Welte 2d23e901a0 increase libsmpp34 version requirement to 1.12 6 years ago
Neels Hofmeyr 84da6b1edb Implement IuCS (large refactoring and addition) 6 years ago
Neels Hofmeyr 772205aae1 cosmetic: make osmo-python-tests dependency more accurate 6 years ago
Neels Hofmeyr 6a29d326e0 Add msc_vlr test suite for MSC+VLR end-to-end tests 6 years ago
Harald Welte 2483f1b050 Use libvlr in libmsc (large refactoring) 6 years ago
Harald Welte b8b85a1b2e Add libvlr implementation 6 years ago
Neels Hofmeyr 625e05a6b2 fix make distcheck with python tests 6 years ago
Neels Hofmeyr 29b9206e80 move openbsc/* to repos root 6 years ago
Maxim Suraev eab5f594b0 Enable optional static builds 6 years ago
Maxim Suraev 7bb383a45c Make pcap dependency optional 6 years ago
Maxim Suraev d09b26d487 Attempt to fix nightly builds 6 years ago
Maxim Suraev dac5867af5 Remove dependency to autoconf-archive 6 years ago
Maxim Suraev 34f012639d Turn some compiler warnings into errors 6 years ago
Neels Hofmeyr 98bc7fa50d Revert "Turn some warnings into errors" 6 years ago
Maxim Suraev fd161ccce8 Turn some warnings into errors 6 years ago
Harald Welte 736474ce45 move OAP messages implementations to libosmocore 6 years ago
Neels Hofmeyr ef022783c3 gsup client, gsup_test_client: move logging to DLGSUP category 6 years ago
Neels Hofmeyr 08586c68db build: bump required libosmocore, libosmogsm to 0.9.4, for GSUP 6 years ago